org.springframework.data.relational.core.sql

## Interface UpdateBuilder.UpdateAssign

Enclosing interface:
  UpdateBuilder

    public static interface UpdateBuilder.UpdateAssign

Interface exposing `SET` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`UpdateBuilder.UpdateWhere` `set(Assignment... assignments)` Apply one or more `SET assignments`.
`UpdateBuilder.UpdateWhere` `set(Assignment assignment)` Apply a `SET assignment`.
`UpdateBuilder.UpdateWhere` `set(Collection<? extends Assignment> assignments)` Apply one or more `SET assignments`.

### Method Detail

#### set

    UpdateBuilder.UpdateWhere set(Assignment assignment)

Apply a `SET assignment`.

Parameters:
  `assignment` - a single `column assignment`.
Returns:
  `this` builder.
See Also:
  `Assignment`

#### set

    UpdateBuilder.UpdateWhere set(Assignment... assignments)

Apply one or more `SET assignments`.

Parameters:
  `assignments` - the `column assignments`.
Returns:
  `this` builder.
See Also:
  `Assignment`

#### set

    UpdateBuilder.UpdateWhere set(Collection<? extends Assignment> assignments)

Apply one or more `SET assignments`.

Parameters:
  `assignments` - the `column assignments`.
Returns:
  `this` builder.
See Also:
  `Assignment`